/*
 *   Author        : James Lloyd R. Atwil
 *   Modified By   : Rex S. Sacayan
 *   Date Created  : July 28, 2005
 *   Date modified : August 25, 2005
 *   Note          : Fectch the data from the website.
 *   Version       : 1.1
 */
 
include("scripts/xmldom.js");

function request()
{
	var url = new URL();
	var data = url.fetch("http://www.conchology.be/widget/widget.php");
		
	if (data.length > 0)
	{
		error = false;
		var resultsXML = new XMLDoc(data,error);
		urlimg	= resultsXML.selectNode("imgpath").getText();
		number	= resultsXML.selectNode("number").getText();
		family	= resultsXML.selectNode("family").getText();
		species = resultsXML.selectNode("species").getText();
	
		total = family.length + species.length;
		if (total > 30) {
			cutter = 30 - family.length;
			species = species.substring(0, cutter) + "...";
		}
		conch_img.src = urlimg;
		conch_img.onMouseDown = "openURL('http://www.conchology.be/en/availableShells/ShellsForSaleDetails.php?uniquenumber=" + number + "')";
		conch_fs.data = family + " - " + species; 
		conch_fs.onMouseDown = "openURL('http://www.conchology.be/plugin/plugin.php?keyword=" + escape(species) + "')";
	}
	else {
		conch_fs.data = "Unable to connect."; 
	}
}

request();